Bug 1421435 - [abrt] PackageKit: allocate_conn(): packagekitd killed by SIGABRT
Summary: [abrt] PackageKit: allocate_conn(): packagekitd killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6d84f826d4321f8efb85a086e29...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-12 10:35 UTC by Marco Nolden
Modified: 2017-12-12 10:23 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:23:41 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (46.17 KB, text/plain)
2017-02-12 10:35 UTC, Marco Nolden
no flags Details
File: cgroup (148 bytes, text/plain)
2017-02-12 10:35 UTC, Marco Nolden
no flags Details
File: core_backtrace (6.44 KB, text/plain)
2017-02-12 10:35 UTC, Marco Nolden
no flags Details
File: dso_list (8.80 KB, text/plain)
2017-02-12 10:35 UTC, Marco Nolden
no flags Details
File: environ (143 bytes, text/plain)
2017-02-12 10:35 UTC, Marco Nolden
no flags Details
File: limits (1.29 KB, text/plain)
2017-02-12 10:35 UTC, Marco Nolden
no flags Details
File: maps (39.75 KB, text/plain)
2017-02-12 10:35 UTC, Marco Nolden
no flags Details
File: mountinfo (4.79 KB, text/plain)
2017-02-12 10:35 UTC, Marco Nolden
no flags Details
File: namespaces (102 bytes, text/plain)
2017-02-12 10:35 UTC, Marco Nolden
no flags Details
File: open_fds (5.14 KB, text/plain)
2017-02-12 10:35 UTC, Marco Nolden
no flags Details
File: proc_pid_status (1.08 KB, text/plain)
2017-02-12 10:35 UTC, Marco Nolden
no flags Details
File: var_log_messages (11.82 KB, text/plain)
2017-02-12 10:35 UTC, Marco Nolden
no flags Details

Description Marco Nolden 2017-02-12 10:35:06 UTC
Version-Release number of selected component:
PackageKit-1.1.5-0.1.20161221.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: allocate_conn
executable:     /usr/libexec/packagekitd
global_pid:     1806
kernel:         4.8.16-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 allocate_conn at url.c:3849
 #7 create_conn at url.c:5747
 #8 Curl_connect at url.c:6388
 #9 multi_runsingle at multi.c:1421
 #10 curl_multi_perform at multi.c:2133
 #11 lr_perform at /usr/src/debug/librepo-librepo-1.7.18/librepo/downloader.c:1762
 #12 lr_download at /usr/src/debug/librepo-librepo-1.7.18/librepo/downloader.c:1972
 #13 lr_download_target at /usr/src/debug/librepo-librepo-1.7.18/librepo/downloader.c:2076
 #14 lr_download_url at /usr/src/debug/librepo-librepo-1.7.18/librepo/downloader.c:2100
 #15 dnf_repo_download_import_public_key at /usr/src/debug/PackageKit-1.1.5-20161221/libdnf-367545629cc01a8e622890d89bd13d062ce60d7b/libdnf/dnf-repo.c:1357

Comment 1 Marco Nolden 2017-02-12 10:35:12 UTC
Created attachment 1249483 [details]
File: backtrace

Comment 2 Marco Nolden 2017-02-12 10:35:14 UTC
Created attachment 1249484 [details]
File: cgroup

Comment 3 Marco Nolden 2017-02-12 10:35:16 UTC
Created attachment 1249485 [details]
File: core_backtrace

Comment 4 Marco Nolden 2017-02-12 10:35:17 UTC
Created attachment 1249486 [details]
File: dso_list

Comment 5 Marco Nolden 2017-02-12 10:35:19 UTC
Created attachment 1249487 [details]
File: environ

Comment 6 Marco Nolden 2017-02-12 10:35:20 UTC
Created attachment 1249488 [details]
File: limits

Comment 7 Marco Nolden 2017-02-12 10:35:21 UTC
Created attachment 1249489 [details]
File: maps

Comment 8 Marco Nolden 2017-02-12 10:35:23 UTC
Created attachment 1249490 [details]
File: mountinfo

Comment 9 Marco Nolden 2017-02-12 10:35:24 UTC
Created attachment 1249491 [details]
File: namespaces

Comment 10 Marco Nolden 2017-02-12 10:35:25 UTC
Created attachment 1249492 [details]
File: open_fds

Comment 11 Marco Nolden 2017-02-12 10:35:27 UTC
Created attachment 1249493 [details]
File: proc_pid_status

Comment 12 Marco Nolden 2017-02-12 10:35:28 UTC
Created attachment 1249494 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2017-11-16 15:07:48 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2017-12-12 10:23:41 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.